# Community

*Last updated: 2015-07-19.*

There are many places where you can:

* Find out more about PCGen
* Talk to the PCGen developers and other users
* Participate in PCGen development

## Main website

The main website for PCGen is at [pcgen.org](http://pcgen.org).

## Documentation

You are currently reading the documentation.

The documentation is updated frequently. In case you are reading an old version of the documentation, you can find the latest documentation at the [SourceForge `autobuild`](http://pcgen.sourceforge.net/autobuilds/pcgen-docs/index.html).

If you see any errors in the documentation, please [file a bug report](./faqsubmittingabugreport.html). If you would like to improve the documentation yourself, [GitHub pull requests](https://github.com/PCGen/pcgen) are welcome.

There is also some documentation available at the [PCGen wiki](http://wiki.pcgen.org).

## Forums

All aspects of PCGen can be discussed at the new [PCGen forums](http://groups.pcgen.org).

Subforums include:

* General
	* Question & Issues
* Community Support
	* Homebrew LST File Support
	* Publisher Permission and Book Requests
* Development
	* Developers - Code Monkeys
	* Experimental
	* New Sources
	* Output Sheets
	* Internationalization

## Bug reports and feature requests

If you have noticed something wrong with PCGen, or you would like to request a feature, bug reports and feature requests are welcome at the [JIRA issue tracker](../faqsubmittingabugreport.html).

## Mailing lists

PCGen discussion occurs at multiple Yahoo! Groups mailing lists.

Note: The Yahoo! Groups mailing lists are being phased out in favour of the [new forums](#forums).

**Main discussion:** `pcgen@yahoogroups.com` [(website / archives)](https://groups.yahoo.com/neo/groups/pcgen/info)

> PCGen related news (release notices, press releases) is posted here. This is *the* place to discuss bugs and feature requests. Users can post their files (their own material and material of publishers who have given us their permission) here to share with others.

**Tag discussion:** `pcgen_experimental@yahoogroups.com` [(website / archives)](https://groups.yahoo.com/neo/groups/pcgen_experimental/info)

> The PCGen Experimental group is the place for new data source development for PCGen, the RPG character generator. Requests for new data, experimental data, drafts for code feature requests and the future direction of PCGen's development are also discussed.

**List file coding help:** `pcgenlistfilehelp@yahoogroups.com` [(website / archives)](https://groups.yahoo.com/neo/groups/PCGenListFileHelp/info)

> To aid in the creation/editing/understanding of PCGen list files and documentation

**International translation / development: **  Inactive. `pcgen_international@yahoogroups.com` [(website / archives)](https://groups.yahoo.com/neo/groups/pcgen_international/info)

> The PCGen International group is the place for the development of non-English language content for PCGen, the RPG character generator. Requests for translations, problems with translations and drafts of translated data sets or other translated content, as well as anything coming up with the Internationalization of PCGen are the topic of this list.

**List file classes:** Inactive. [(website / archives)](https://groups.yahoo.com/neo/groups/LSTfileclass/info)

## Email

Direct email messages to the PCGen team are welcome at `help@pcgen.org`.

## Live chat

### New: HipChat

New (July 2015): You can talk to the PCGen developers using [HipChat](https://www.hipchat.com/gmiCjELbV).

### Old: IRC

A small number of PCGen users and developers are present in the Freenode `#pcgen` IRC channel.

You can connect using any IRC client, or the [Freenode web chat client.](https://webchat.freenode.net/)

## Contributing to the project

We warmly welcome contributors to all parts of the PCGen project, no matter their level of experience.

* Java programming
* List file coding (data set coding)
* Documentation
* Public relations (website, social media)
* User support
* Checking game material licenses
* General administration

If you want to contribute, but don't know how, post a message like *"I want to help!"* to the [PCGen forums](#forums) or `help@pcgen.org`.

## Development

Code development occurs at the Github repositories for the project, mainly [`PCGen/pcgen`](https://github.com/PCGen/pcgen). Pull requests are welcome for all parts of the project.

Issue tracking is via the [PCGen JIRA tracker](http://jira.pcgen.org).